import request from '@/utils/request'

// 查询员工培训手册列表
export function listManual(query) {
  return request({
    url: '/wuYe/manual/list',
    method: 'get',
    params: query
  })
}

export function getRead(data) {
  return request({
    url: '/wuYe/manual/getRead',
   method: 'post',
   data: data
  })
}

export function staffTrainTime(query) {
  return request({
    url: '/wuYe/staffTrainTime/list',
   method: 'get',
   params: query
  })
}


// 查询员工培训手册详细
export function getManual(manualId) {
  return request({
    url: '/wuYe/manual/' + manualId,
    method: 'get'
  })
}

// 新增员工培训手册
export function addManual(data) {
  return request({
    url: '/wuYe/manual',
    method: 'post',
    data: data
  })
}

export function staffTrainTimere(data) {
  return request({
    url: '/wuYe/staffTrainTime',
    method: 'post',
    data: data
  })
}

// 修改员工培训手册
export function updateManual(data) {
  return request({
    url: '/wuYe/manual/put',
    method: 'post',
    data: data
  })
}

// 删除员工培训手册
export function delManual(manualId) {
  return request({
    url: '/wuYe/manual/delete/' + manualId,
    method: 'get'
  })
}
